This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 469326 - [Chapter 12.2] laptop network supported by libvirtd
[Chapter 12.2] laptop network supported by libvirtd
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Virtualization_Guide (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Christopher Curran
Don Domingo
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-31 06:18 EDT by Kazuo Moriwaka
Modified: 2009-08-20 00:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-24 20:02:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kazuo Moriwaka 2008-10-31 06:18:07 EDT
Description of problem:

Hacks in chapter [12.2. Laptop network configuration] is obsolete now.
You can use 'virtual network' managed by libvirtd instead of this hacks.

from RHEL5.1 release note:

> Virtual networking is now part of libvirt, the virtualization library.
> libvirt has a set of commands that sets up a virtual NAT/router and 
> private network for all local guests on a machine. This is especially
> useful for guests that do not need to be routable from the outside. 
> It is also useful for developers who use Virtualization on laptops.
> 
> Note that the virtual networking capability adds a dependency on dnsmasq, 
> which handles dhcp for the virtual network.
>
> For more information about libvirt, refer to http://libvirt.org.

Additional info:

To use libvirtd's virtual network, you should select 'Virtual network' 
at virt-manager's installation.  
It connect vif to virtual bridge 'virbr0' which is managed by libvirtd.
'virbr0' is have almost same settings as 'dummy0'in this page.
This is configured in /etc/libvirtd/qemu/networks/default.xml.
Comment 1 Kazuo Moriwaka 2008-12-23 22:26:41 EST

Thank you for adding notes. gt and lt are reversed.

See: 
http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5/html/Virtualization/sect-Virtualization-Virtualized_network_devices-Laptop_network_configuration.html

| >interface type='network'<
| 	>mac address='AA:AA:AA:AA:AA:AA'/<
| 	>source network='default'/<
| 	>target dev='vnet0'/<
| 	>model type='virtio'/<
| >/interface<
Comment 2 Christopher Curran 2009-02-23 00:10:36 EST
Corrected. This change should be updated to redhat.com as soon as the new documentation system is available.

Regards,
Chris

Note You need to log in before you can comment on or make changes to this bug.